## ros-melodic-image-geometry 1.13.1

=== debian/changelog ===
ros-melodic-image-geometry (1.13.1-1bionic) bionic; urgency=high

  * Update CMakeLists.txt for Windows build environment (#265 <https://github.com/ros-perception/vision_opencv/issues/265>)
  * Windows bringup
  * Correct binary locations for shared libraries.
  * Fix build break.
  * Fix cv_bridge_boost.pyd.
  * remove hard-coded STATIC (#3 <https://github.com/ros-perception/vision_opencv/issues/3>)
  * remove WINDOWS_EXPORT_ALL_SYMBOLS property (#4 <https://github.com/ros-perception/vision_opencv/issues/4>)
  * add DLL import/export macros (#266 <https://github.com/ros-perception/vision_opencv/issues/266>)
  * update macro names (#2 <https://github.com/ros-perception/vision_opencv/issues/2>)
  * add exports.h and dll import/export macros
  * Contributors: James Xu

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 02 Oct 2022 15:00:00 -0000

ros-melodic-image-geometry (1.13.0-1bionic) bionic; urgency=high

  * Use rosdep OpenCV and not ROS one.
    We defintely don't need the whole OpenCV.
    We need to clean the rosdep keys.
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 29 Apr 2018 15:00:00 -0000

ros-melodic-image-geometry (1.12.8-1bionic) bionic; urgency=high

  * Merge pull request #189 <https://github.com/ros-perception/vision_opencv/issues/189> from ros2/python3_support_in_test
    python 3 compatibility in test
  * python 3 compatibility in test
  * fix doc job
  * Contributors: Mikael Arguedas, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 16 Apr 2018 15:00:00 -0000

ros-melodic-image-geometry (1.12.7-1bionic) bionic; urgency=high

  * get shared_ptr from boost or C++11
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 11 Nov 2017 15:00:00 -0000

ros-melodic-image-geometry (1.12.6-1bionic) bionic; urgency=high

  * missing STL includes
  * Contributors: Mikael Arguedas, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 10 Nov 2017 15:00:00 -0000

ros-melodic-image-geometry (1.12.5-1bionic) bionic; urgency=high

  * Fix compilation issues.
    Fix suggested by #173 <https://github.com/ros-perception/vision_opencv/issues/173> comment
  * Make sure to initialize the distorted_image Mat.
    Otherwise, valgrind throws errors about accessing uninitialized
    memory.
    Signed-off-by: Chris Lalancette <mailto:clalancette@osrfoundation.org>
  * Remove the last remnants of boost from image_geometry.
    All of its functionality can be had from std:: in C++11, so
    use that instead.  This also requires us to add the -std=c++11
    flag.
    Signed-off-by: Chris Lalancette <mailto:clalancette@osrfoundation.org>
  * Contributors: Chris Lalancette, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 15:00:00 -0000

ros-melodic-image-geometry (1.12.4-1bionic) bionic; urgency=high

  * Import using __future__ for python 3 compatibility.
  * Contributors: Hans Gaiser

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Jan 2017 15:00:00 -0000

ros-melodic-image-geometry (1.12.3-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Dec 2016 15:00:00 -0000

ros-melodic-image-geometry (1.12.2-1bionic) bionic; urgency=high

  * Fix "stdlib.h: No such file or directory" errors in GCC-6
    Including '-isystem /usr/include' breaks building with GCC-6.
    See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129
  * Merge pull request #142 <https://github.com/ros-perception/vision_opencv/issues/142> from YuOhara/remap_with_nan_border_value
    remap with nan border if mat value is float or double
  * remap with nan border if mat value is float or double
  * Contributors: Hodorgasm, Vincent Rabaud, YuOhara

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 23 Sep 2016 15:00:00 -0000

ros-melodic-image-geometry (1.12.1-1bionic) bionic; urgency=high

  * Add fullResolution getter to PinholeCameraModel
  * add a missing dependency when building the doc
  * fix sphinx doc path
  * Contributors: Jacob Panikulam, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Jul 2016 15:00:00 -0000

ros-melodic-image-geometry (1.12.0-1bionic) bionic; urgency=high

  * depend on OpenCV3 only
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 17 Mar 2016 15:00:00 -0000

ros-melodic-image-geometry (1.11.12-1bionic) bionic; urgency=high

  * issue #117 <https://github.com/ros-perception/vision_opencv/issues/117> pull request #118 <https://github.com/ros-perception/vision_opencv/issues/118> check all distortion coefficients to see if rectification ought to be done
  * Contributors: Lucas Walter

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 Mar 2016 15:00:00 -0000

ros-melodic-image-geometry (1.11.11-1bionic) bionic; urgency=high

  * clean up the doc files
  * fix a few warnings in doc jobs
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 30 Jan 2016 15:00:00 -0000

ros-melodic-image-geometry (1.11.10-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 15 Jan 2016 15:00:00 -0000

ros-melodic-image-geometry (1.11.9-1bionic) bionic; urgency=high

  * add a condition if D=None
  * fix compilation warnings
  * Contributors: Vincent Rabaud, YuOhara

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Nov 2015 15:00:00 -0000

ros-melodic-image-geometry (1.11.8-1bionic) bionic; urgency=high

  * fixes #62 <https://github.com/ros-perception/vision_opencv/issues/62>, bug in Python rectifyPoint old opencv1 API
  * Simplify some OpenCV3 distinction
  * Contributors: Basheer Subei, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 14 Jul 2015 15:00:00 -0000

ros-melodic-image-geometry (1.11.7-1bionic) bionic; urgency=high

  * Merge pull request #53 <https://github.com/ros-perception/vision_opencv/issues/53> from carnegieroboticsllc/patch-1
    Update stereo_camera_model.cpp

