=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ros-melodic-image-geometry
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-melodic-catkin, ros-melodic-sensor-msgs
 Homepage: http://www.ros.org/wiki/image_geometry
